@echo off

@rem *************************************************************************
@rem *
@rem * (C) Copyright IBM Corporation 2003-2007
@rem * Unpublished Work
@rem * All Rights Reserved
@rem * Licensed Material - Property of IBM Corporation.
@rem *
@rem * This script configure the webui
@rem *
@rem * Launch it in your session, within the dir where it is located
@rem *
@rem *************************************************************************

@rem initialize variables
set ERRORLEVEL=0
set SERVERNAME=server1
set USERID=
set PASSWORD=
set PWDLTPA=iscpass
set PORT=
set OPERATION=
set APPSERVERPATH=%~dp0..\appserver

:parseParams
if "%1" == "" goto checkOperation 
if /I "%1" == "-user"         set USERID=%2& goto goodParam 
if /I "%1" == "-password"     set PASSWORD=%2& goto goodParam 
if /I "%1" == "-pwdLTPA"     set PWDLTPA=%2& goto goodParam 
if /I "%1" == "-port"     set PORT=%2& goto goodParam 
if /I "%1" == "-operation"         set OPERATION=%2& goto goodParam 
if /I "%1" == "-server"       set SERVERNAME=%2& goto goodParam 
if /I "%1" == "-usage" goto usage 
goto wrongusage

:goodParam
shift
shift

goto parseParams 

:checkOperation
IF %OPERATION%.==enable. goto checkVarsSOAPMode
IF %OPERATION%.==disable. goto checkVarsNoSOAPMode

:checkVarsNoSOAPMode
if not defined OPERATION goto usage
goto disableWebui

:checkVarsSOAPMode
if not defined USERID goto usage 
if not defined PASSWORD goto usage 
if not defined PORT goto usage
goto enableWebui

:enableWebui
@"%~dp0..\appserver\profiles\twszconnprofile\bin\wsadmin" -conntype SOAP -username %USERID% -password %PASSWORD% -port %PORT% -lang jython -f "%~dp0\webui.py" -%OPERATION% -serverName %SERVERNAME% -pwdLTPA %PWDLTPA%
exit /b %ERRORLEVEL%

:disableWebui
@"%~dp0..\appserver\profiles\twszconnprofile\bin\wsadmin" -conntype NONE -lang jython -f "%~dp0\webui.py" -%OPERATION% -serverName %SERVERNAME%
exit /b %ERRORLEVEL%

:wrongusage
set ERRORLEVEL=1

:usage
echo.
echo Usage: webui -operation ^<disable^|enable^> [-user ^<username^> -password ^<password^>] -port ^<port^> [-pwdLTPA ^<password^>] [-server ^<Server Name^>]
echo.
